Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.writer.jms
Class AsyncJMSWriter

    java.lang.Object
      kieker.monitoring.writer.AbstractMonitoringWriter
          kieker.monitoring.writer.AbstractAsyncWriter
              kieker.monitoring.writer.jms.AsyncJMSWriter

All Implemented Interfaces:
  IMonitoringRecordReceiver, IMonitoringWriter

    public final class AsyncJMSWriter

extends AbstractAsyncWriter

Since:
  0.95a
Author:
  Matthias Rohr, Andre van Hoorn, Jan Waller

Field Summary
`static String` | `CONFIG_CONTEXTFACTORYTYPE`
`static String` | `CONFIG_FACTORYLOOKUPNAME`
`static String` | `CONFIG_MESSAGETTL`
`static String` | `CONFIG_PROVIDERURL`
`static String` | `CONFIG_TOPIC`

Fields inherited from class kieker.monitoring.writer.AbstractAsyncWriter
`CONFIG_BEHAVIOR, CONFIG_PRIORITIZED_QUEUESIZE, CONFIG_QUEUESIZE, CONFIG_SHUTDOWNDELAY`

Constructor Summary
`AsyncJMSWriter(Configuration configuration)` Creates a new instance of this class using the given parameters.

Method Summary

Methods inherited from class kieker.monitoring.writer.AbstractAsyncWriter
`newMonitoringRecord, newMonitoringRecordNonBlocking, terminate, toString`

Methods inherited from class kieker.monitoring.writer.AbstractMonitoringWriter
`setController`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONFIG_PROVIDERURL

    public static final String CONFIG_PROVIDERURL

### CONFIG_TOPIC

    public static final String CONFIG_TOPIC

### CONFIG_CONTEXTFACTORYTYPE

    public static final String CONFIG_CONTEXTFACTORYTYPE

### CONFIG_FACTORYLOOKUPNAME

    public static final String CONFIG_FACTORYLOOKUPNAME

### CONFIG_MESSAGETTL

    public static final String CONFIG_MESSAGETTL

Constructor Detail

### AsyncJMSWriter

    public AsyncJMSWriter(Configuration configuration)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration for this writer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net